commit:     7821208c43c08e1c373d232932a07f7f799d3573
Author:     Dennis Lamm <expeditioneer <AT> gentoo <DOT> org>
AuthorDate: Thu Jul 23 13:14:28 2020 +0000
Commit:     Dennis Lamm <expeditioneer <AT> gentoo <DOT> org>
CommitDate: Sat Aug 22 10:17:48 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=7821208c

sys-apps/firejail: don't call CC directly

Closes: https://bugs.gentoo.org/725606

Signed-off-by: Dennis Lamm <expeditioneer <AT> gentoo.org>

 .../firejail-lts/firejail-lts-0.9.56.2-r2.ebuild   | 54 ++++++++++++++
 sys-apps/firejail/firejail-0.9.62-1.ebuild         | 82 ++++++++++++++++++++++
 2 files changed, 136 insertions(+)

diff --git a/sys-apps/firejail-lts/firejail-lts-0.9.56.2-r2.ebuild 
b/sys-apps/firejail-lts/firejail-lts-0.9.56.2-r2.ebuild
new file mode 100644
index 00000000000..162766f95cd
--- /dev/null
+++ b/sys-apps/firejail-lts/firejail-lts-0.9.56.2-r2.ebuild
@@ -0,0 +1,54 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit toolchain-funcs
+
+DESCRIPTION="Security sandbox for any type of processes; LTS version"
+HOMEPAGE="https://firejail.wordpress.com/";
+
+MY_PN=firejail
+
+SRC_URI="https://github.com/netblue30/${MY_PN}/archive/${PV}-LTS.tar.gz -> 
${P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="amd64"
+IUSE="apparmor +globalcfg +network +seccomp +suid +userns test +whitelist"
+RESTRICT="!test? ( test )"
+
+DEPEND="!sys-apps/firejail
+               apparmor? ( sys-libs/libapparmor )
+               test? ( dev-tcltk/expect )"
+
+RDEPEND="apparmor? ( sys-libs/libapparmor )"
+
+PATCHES=( "${FILESDIR}/${PN}-fix-compressed-manpages.patch" )
+
+S="${WORKDIR}/${MY_PN}-${PV}-LTS"
+
+src_prepare() {
+       default
+
+       find -type f -name Makefile.in | xargs sed --in-place --regexp-extended 
\
+               --expression='/^\tinstall .*COPYING /d' \
+               --expression='/CFLAGS/s: (-O2|-ggdb) : :g' || die
+
+       sed --in-place --regexp-extended '/CFLAGS/s: (-O2|-ggdb) : :g' 
./src/common.mk.in || die
+}
+
+src_configure() {
+       econf \
+               $(use_enable apparmor) \
+               $(use_enable globalcfg) \
+               $(use_enable network) \
+               $(use_enable seccomp) \
+               $(use_enable suid) \
+               $(use_enable userns) \
+               $(use_enable whitelist)
+}
+
+src_compile() {
+       emake CC="$(tc-getCC)"
+}

diff --git a/sys-apps/firejail/firejail-0.9.62-1.ebuild 
b/sys-apps/firejail/firejail-0.9.62-1.ebuild
new file mode 100644
index 00000000000..73255223e87
--- /dev/null
+++ b/sys-apps/firejail/firejail-0.9.62-1.ebuild
@@ -0,0 +1,82 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit toolchain-funcs
+
+if [[ ${PV} != 9999 ]]; then
+       KEYWORDS="amd64 ~x86"
+       SRC_URI="https://github.com/netblue30/${PN}/archive/${PV}.tar.gz -> 
${P}.tar.gz"
+else
+       inherit git-r3
+       EGIT_REPO_URI="https://github.com/netblue30/firejail.git";
+       EGIT_BRANCH="master"
+fi
+
+DESCRIPTION="Security sandbox for any type of processes"
+HOMEPAGE="https://firejail.wordpress.com/";
+
+LICENSE="GPL-2"
+SLOT="0"
+IUSE="apparmor +chroot contrib debug +file-transfer +globalcfg +network 
+overlayfs +private-home +seccomp +suid test +userns vim-syntax +whitelist x11"
+
+DEPEND="!sys-apps/firejail-lts
+       apparmor? ( sys-libs/libapparmor )
+       test? ( dev-tcltk/expect )"
+
+RDEPEND="apparmor? ( sys-libs/libapparmor )"
+
+# TODO: enable tests
+RESTRICT="test"
+
+src_prepare() {
+       default
+
+       find ./contrib -type f -name '*.py' | xargs sed --in-place 
's-#!/usr/bin/python3-#!/usr/bin/env python3-g' || die
+
+       find -type f -name Makefile.in | xargs sed --in-place --regexp-extended 
\
+                       --expression='/^\tinstall .*COPYING /d' \
+                       --expression='/CFLAGS/s: (-O2|-ggdb) : :g' || die
+
+       sed --in-place --regexp-extended '/CFLAGS/s: (-O2|-ggdb) : :g' 
./src/common.mk.in || die
+
+       # remove compression of man pages
+       sed --in-place '/gzip -9n $$man; \\/d' Makefile.in || die
+       sed --in-place '/rm -f $$man.gz; \\/d' Makefile.in || die
+       sed --in-place --regexp-extended 's|\*\.([[:digit:]])\) install -c -m 
0644 \$\$man\.gz|\*\.\1\) install -c -m 0644 \$\$man|g' Makefile.in || die
+}
+
+src_configure() {
+       econf \
+               --disable-firetunnel \
+               $(use_enable apparmor) \
+               $(use_enable chroot) \
+               $(use_enable contrib contrib-install) \
+               $(use_enable file-transfer) \
+               $(use_enable globalcfg) \
+               $(use_enable network) \
+               $(use_enable overlayfs) \
+               $(use_enable private-home) \
+               $(use_enable seccomp) \
+               $(use_enable suid) \
+               $(use_enable userns) \
+               $(use_enable whitelist) \
+               $(use_enable x11)
+}
+
+src_compile() {
+       emake CC="$(tc-getCC)"
+}
+
+src_install() {
+       default
+
+       if use vim-syntax; then
+               insinto /usr/share/vim/vimfiles/ftdetect
+               doins contrib/vim/ftdetect/firejail.vim
+
+               insinto /usr/share/vim/vimfiles/syntax
+               doins contrib/vim/syntax/firejail.vim
+       fi
+}

Reply via email to